## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check
%global debug_package %{nil}

%global crate pancurses

Name:           rust-pancurses
Version:        0.17.0
Release:        %autorelease
Summary:        Curses library for Rust that supports both Unix and Windows

License:        MIT
URL:            https://crates.io/crates/pancurses
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          pancurses-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop Windows features
Patch:          pancurses-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Curses library for Rust that supports both Unix and Windows platforms by
abstracting away the backend that it uses (ncurses-rs and pdcurses-sys
respectively).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+disable_resize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+disable_resize-devel %{_description}

This package contains library source intended for building other packages which
use the "disable_resize" feature of the "%{crate}" crate.

%files       -n %{name}+disable_resize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+show_menu-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+show_menu-devel %{_description}

This package contains library source intended for building other packages which
use the "show_menu" feature of the "%{crate}" crate.

%files       -n %{name}+show_menu-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wide-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wide-devel %{_description}

This package contains library source intended for building other packages which
use the "wide" feature of the "%{crate}" crate.

%files       -n %{name}+wide-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 20 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.17.0-1
- Update to 0.17.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 19 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.16.1-1
- Initial package

## END: Generated by rpmautospec
